module EasyWeixin
	class << self

		attr_accessor :config

		def configure
			yield self.config ||= Config.new
		end

		def weixin_redis
			# use add log
			return nil if EasyWeixin.config.nil?
			EasyWeixin.config.redis
		end

	end

	class Config
		attr_accessor :redis
	end
end

# EasyWeixin.configure do |config|
# 	config.redis = Redis.new
# end
