module EasyWeixin
  module Response
    extend self

    # 创建文本信息
    def text_msg(from, to, content)
      msg = TextReplyMessage.new
      msg.ToUserName   = to
      msg.FromUserName = from
      msg.Content = content
      msg.to_xml
    end

    def news_msg(from, to, articles, articleCount=1)
      msg = NewsReplyMessage.new
      msg.ToUserName   = to
      msg.FromUserName = from
      unless articles.is_a?(Array)
        articles = [articles]
      end
      msg.Articles = articles
      msg.ArticleCount = articleCount
      msg.to_xml
    end

    def analysis_xml(request_xml)
      hash = MultiXml.parse(request_xml)['xml']
      source = OpenStruct.new(hash)
    end
    
  end
end
