# 接入认证

module EasyWeixin
	class Auth
		def initialize(app_token,timestamp,nonce,signature,echostr)
			@app_token = app_token
			@timestamp = timestamp
			@nonce = nonce
			@signature = signature
			@echostr = echostr
		end

		def check_valid
			array = [@app_token, @timestamp, @nonce].sort
			secret_str = Digest::SHA1.hexdigest(array.join)

			if @signature == secret_str
				return @echostr
			else
				return false
			end
		end
	end
end
